.a-tooltip {
  position: relative;
  user-select: none;

  .a-tooltip__text {
    left: 50%;
    transform: translateY(-1rem) translateX(-50%);
    opacity: 0;
    box-shadow: 0.125rem 0.25rem 0.75rem var(--black-alpha-15);
    transition: ease-out 0.2s transform, ease-out 0.2s opacity;
    cursor: pointer;
    display: block;
    position: absolute;
    padding: 0.2rem 0.5rem;
    top: calc(100% + 0.2rem);
    box-sizing: border-box;
    line-height: 1.3;
    font-weight: 500;
    color: var(--white);
    border-radius: 0.5rem;
    background-color: var(--black-100);
    font-size: 0.85rem;
    pointer-events: none;
    white-space: nowrap;
    z-index: 1;
  }

  &:hover {
    .a-tooltip__text {
      opacity: 1;
      transform: translateY(0) translateX(-50%);
    }
  }

  &.-no-hover {
    .a-tooltip__text {
      opacity: 0;
      transform: translateY(-1rem) translateX(-50%);
    }
  }

  &.-open {
    .a-tooltip__text {
      opacity: 1;
      transform: translateY(0) translateX(-50%);
    }
  }
}
